[lfs-book] r11387 - in trunk/BOOK: . chapter01 chapter02 chapter03 chapter06 chapter09 prologue

bdubbs at higgs.linuxfromscratch.org bdubbs at higgs.linuxfromscratch.org
Fri Mar 23 19:08:50 PDT 2018


Author: bdubbs
Date: Fri Mar 23 19:08:49 2018
New Revision: 11387

Log:
Remove reference to openssl in BLFS in Chapter 9.   
Update minimum host system requirements.   
Added the rationale for including openssl.   
Update to util-linux-2.32.   
Update to meson-0.45.0.   
Update to e2fsprogs-1.44.0.   
Update to linux-4.15.11.   
Update to automake-1.16.1.   
Update to systemd-238.

Modified:
   trunk/BOOK/chapter01/changelog.xml
   trunk/BOOK/chapter01/whatsnew.xml
   trunk/BOOK/chapter02/hostreqs.xml
   trunk/BOOK/chapter03/packages.xml
   trunk/BOOK/chapter06/systemd.xml
   trunk/BOOK/chapter06/util-linux.xml
   trunk/BOOK/chapter09/reboot.xml
   trunk/BOOK/general.ent
   trunk/BOOK/packages.ent
   trunk/BOOK/prologue/why.xml

Modified: trunk/BOOK/chapter01/changelog.xml
==============================================================================
--- trunk/BOOK/chapter01/changelog.xml	Sat Mar 17 08:19:34 2018	(r11386)
+++ trunk/BOOK/chapter01/changelog.xml	Fri Mar 23 19:08:49 2018	(r11387)
@@ -44,6 +44,48 @@
 -->
 
     <listitem>
+      <para>2018-03-23</para>
+      <itemizedlist>
+        <listitem>
+           <para>[bdubbs] - Remove reference to openssl in BLFS in Chapter 9.  Fixes 
+           <ulink url="&lfs-ticket-root;4240">#4240</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update minimum host system requirements.  Fixes 
+           <ulink url="&lfs-ticket-root;4239">#4239</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Added the rationale for including openssl.  Fixes 
+           <ulink url="&lfs-ticket-root;4234">#4234</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to util-linux-2.32.  Fixes 
+           <ulink url="&lfs-ticket-root;4219">#4219</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to meson-0.45.0.  Fixes 
+           <ulink url="&lfs-ticket-root;4232">#4232</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to e2fsprogs-1.44.0.  Fixes 
+           <ulink url="&lfs-ticket-root;4236">#4236</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to linux-4.15.11.  Fixes 
+           <ulink url="&lfs-ticket-root;4237">#4237</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to automake-1.16.1.  Fixes 
+           <ulink url="&lfs-ticket-root;4238">#4238</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+           <para>[bdubbs] - Update to systemd-238.  Fixes 
+           <ulink url="&lfs-ticket-root;4233">#4233</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2018-03-03</para>
       <itemizedlist>
         <listitem>

Modified: trunk/BOOK/chapter01/whatsnew.xml
==============================================================================
--- trunk/BOOK/chapter01/whatsnew.xml	Sat Mar 17 08:19:34 2018	(r11386)
+++ trunk/BOOK/chapter01/whatsnew.xml	Fri Mar 23 19:08:49 2018	(r11387)
@@ -71,9 +71,9 @@
     <!--<listitem revision="sysv">
       <para>Eudev-&eudev-version;</para>
    </listitem>-->
-   <!--<listitem>
+   <listitem>
       <para>E2fsprogs-&e2fsprogs-version;</para>
-   </listitem>-->
+   </listitem>
    <!--<listitem>
       <para>Expat-&expat-version;</para>
    </listitem>-->
@@ -212,9 +212,9 @@
     <!--<listitem revision="sysv">
       <para>Sysklogd-&sysklogd-version;</para>
     </listitem>-->
-    <!--<listitem revision="systemd">
+    <listitem revision="systemd">
       <para>Systemd-&systemd-version;</para>
-   </listitem>-->
+   </listitem>
     <!--<listitem revision="sysv">
       <para>SysVinit-&sysvinit-version;</para>
     </listitem>-->
@@ -230,9 +230,9 @@
    <!--<listitem>
       <para>Tzdata-&tzdata-version;</para>
    </listitem>-->
-   <!-- <listitem>
+   <listitem>
       <para>Util-Linux-&util-linux-version;</para>
-   </listitem>-->
+   </listitem>
     <!--<listitem>
       <para>Vim-&vim-version;</para>
     </listitem>-->

Modified: trunk/BOOK/chapter02/hostreqs.xml
==============================================================================
--- trunk/BOOK/chapter02/hostreqs.xml	Sat Mar 17 08:19:34 2018	(r11386)
+++ trunk/BOOK/chapter02/hostreqs.xml	Fri Mar 23 19:08:49 2018	(r11387)
@@ -29,13 +29,13 @@
     </listitem>
 
     <listitem>
-      <para><emphasis role="strong">Binutils-2.17</emphasis> (Versions
+      <para><emphasis role="strong">Binutils-2.25</emphasis> (Versions
       greater than &binutils-version; are not recommended as they have
       not been tested)</para>
     </listitem>
 
     <listitem>
-      <para><emphasis role="strong">Bison-2.3</emphasis> (/usr/bin/yacc
+      <para><emphasis role="strong">Bison-2.7</emphasis> (/usr/bin/yacc
       should be a link to bison or small script that executes bison)</para>
     </listitem>
 
@@ -61,19 +61,9 @@
     </listitem>
 
     <listitem>
-      <para><emphasis role="strong">GCC-4.7</emphasis> including the C++
+      <para><emphasis role="strong">GCC-4.9</emphasis> including the C++
       compiler, <command>g++</command> (Versions greater than &gcc-version; are
       not recommended as they have not been tested)</para>
-<!--
-      <note><para>On some distributions, there have been reports that some
-      libraries used by gcc can be in an inconsistent state and that this
-      interferes with building some LFS packages.  To check this, look in
-      /usr/lib and possibly /usr/lib64 for libgmp.la, libmpfr.la, and
-      libmpc.la.  Either all three should be present or absent, but not only
-      one or two.  If the problem exists on your system, either rename or
-      delete the .la files or install the appropriate missing
-      package.</para></note>
--->
     </listitem>
 
     <listitem>

Modified: trunk/BOOK/chapter03/packages.xml
==============================================================================
--- trunk/BOOK/chapter03/packages.xml	Sat Mar 17 08:19:34 2018	(r11386)
+++ trunk/BOOK/chapter03/packages.xml	Fri Mar 23 19:08:49 2018	(r11387)
@@ -262,11 +262,6 @@
         <para>Home page: <ulink url="&glibc-home;"/></para>
         <para>Download: <ulink url="&glibc-url;"/></para>
         <para>MD5 sum: <literal>&glibc-md5;</literal></para>
-        <note>
-          <para>This version of glibc addresses a security issue 
-          not yet in the latest stable release.  
-          </para>
-        </note>
       </listitem>
     </varlistentry>
 

Modified: trunk/BOOK/chapter06/systemd.xml
==============================================================================
--- trunk/BOOK/chapter06/systemd.xml	Sat Mar 17 08:19:34 2018	(r11386)
+++ trunk/BOOK/chapter06/systemd.xml	Fri Mar 23 19:08:49 2018	(r11387)
@@ -52,6 +52,14 @@
 
 <screen><userinput remap="pre">sed '178,222d' -i src/resolve/meson.build</userinput></screen>
 
+<!-- These are from upstream.  There will probably be a new release shortly, 
+     so don't bother with a patch. -->
+    <para>Make some fixes from upstream:</para>
+
+<screen><userinput remap="pre">sed -i '527,565 d'                  src/basic/missing.h
+sed -i '24 d'                       src/core/load-fragment.c
+sed -i '53 a#include <sys/mount.h>' src/shared/bus-unit-util.cd</userinput></screen>
+
     <para>Remove an unneeded group,
     <systemitem class="groupname">render</systemitem>, from the default udev
     rules:</para>

Modified: trunk/BOOK/chapter06/util-linux.xml
==============================================================================
--- trunk/BOOK/chapter06/util-linux.xml	Sat Mar 17 08:19:34 2018	(r11386)
+++ trunk/BOOK/chapter06/util-linux.xml	Fri Mar 23 19:08:49 2018	(r11387)
@@ -115,10 +115,6 @@
     <screen><userinput remap="test">chown -Rv nobody .
 su nobody -s /bin/bash -c "PATH=$PATH make -k check"</userinput></screen>
 
-    <note><para>One test, fincore/count, may fail in the initial chroot
-    environment but will pass if the test is rerun after the LFS system
-    is complete.</para></note>
-
     <para>Install the package:</para>
 
 <screen><userinput remap="install">make install</userinput></screen>

Modified: trunk/BOOK/chapter09/reboot.xml
==============================================================================
--- trunk/BOOK/chapter09/reboot.xml	Sat Mar 17 08:19:34 2018	(r11386)
+++ trunk/BOOK/chapter09/reboot.xml	Fri Mar 23 19:08:49 2018	(r11387)
@@ -44,9 +44,7 @@
 
     <listitem><para>If you want to access your new system from a remote system
     within a comfortable GUI environment, install <ulink
-    url='&blfs-book;postlfs/openssh.html'>openssh</ulink> and its
-    prerequisite, <ulink
-    url='&blfs-book;postlfs/openssl.html'>openssl</ulink>.
+    url='&blfs-book;postlfs/openssh.html'>openssh</ulink>. 
     </para></listitem>
 
     <listitem><para>To make fetching files over the internet easier, install

Modified: trunk/BOOK/general.ent
==============================================================================
--- trunk/BOOK/general.ent	Sat Mar 17 08:19:34 2018	(r11386)
+++ trunk/BOOK/general.ent	Fri Mar 23 19:08:49 2018	(r11387)
@@ -1,13 +1,13 @@
-<!ENTITY version         "SVN-20180303">
+<!ENTITY version         "SVN-20180323">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20180303-systemd">
+<!ENTITY versiond        "20180323-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "March 3, 2018">
+<!ENTITY releasedate     "March 23, 2018">
 
 <!ENTITY copyrightdate   "1999-2018"><!-- jhalfs needs a literal dash, not – -->
 <!ENTITY milestone       "8.3">

Modified: trunk/BOOK/packages.ent
==============================================================================
--- trunk/BOOK/packages.ent	Sat Mar 17 08:19:34 2018	(r11386)
+++ trunk/BOOK/packages.ent	Fri Mar 23 19:08:49 2018	(r11387)
@@ -31,11 +31,11 @@
 <!ENTITY autoconf-ch6-sbu-tests "3.2">
 <!ENTITY autoconf-ch6-sbu "less than 0.1 SBU (about &autoconf-ch6-sbu-tests; SBU with tests)">
 
-<!ENTITY automake-version "1.16">
+<!ENTITY automake-version "1.16.1">
 <!ENTITY am-minor-version "1.16">
 <!ENTITY automake-size "1,499 KB">
 <!ENTITY automake-url "&gnu;automake/automake-&automake-version;.tar.xz">
-<!ENTITY automake-md5 "bfdf69ac36c327b3a59b83ab01057e30">
+<!ENTITY automake-md5 "53f38e7591fa57c3d2cee682be668e5b">
 <!ENTITY automake-home "&gnu-software;automake/">
 <!ENTITY automake-ch6-du "109 MB">
 <!ENTITY automake-ch6-sbu "less than 0.1 SBU (about 8.4 SBU with tests)">
@@ -137,10 +137,10 @@
 <!-- NOTE: When updating e2fsprogs, remember to check the list
      of acceptable features that can be shown by debugfs in
      chapter02/creatingfilesystem.xml -->
-<!ENTITY e2fsprogs-version "1.43.9">
-<!ENTITY e2fsprogs-size "7,311 KB">
+<!ENTITY e2fsprogs-version "1.44.0">
+<!ENTITY e2fsprogs-size "7,382 KB">
 <!ENTITY e2fsprogs-url "http://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "8749ba4fbc25d1b13753b79f1f84b69d">
+<!ENTITY e2fsprogs-md5 "c81731c9555573c48afa190c940565a1">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-ch6-du "58 MB">
 <!ENTITY e2fsprogs-ch6-sbu "5.1 SBU">
@@ -416,12 +416,12 @@
 
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "15">
-<!ENTITY linux-patch-version "7">
+<!ENTITY linux-patch-version "11">
 <!-- <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;"> -->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "99,809 KB">
+<!ENTITY linux-size "99,810 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "8186ce63c489199b58b6a58ad2a24a94">
+<!ENTITY linux-md5 "f0496907533eb6f05e961bcfbdce2ae8">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
  allnoconfig extended for a hopefully-bootable build on desktop machine,
@@ -470,10 +470,10 @@
 <!ENTITY man-pages-ch6-du "27 MB">
 <!ENTITY man-pages-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.44.1">
-<!ENTITY meson-size "1,110 KB">
+<!ENTITY meson-version "0.45.0">
+<!ENTITY meson-size "1,135 KB">
 <!ENTITY meson-url "https://github.com/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "82b1198bf714b5a4da84bfe8376c79cc">
+<!ENTITY meson-md5 "4dce57a7f300c234be914e1d323633ed">
 <!ENTITY meson-home "http://mesonbuild.com">
 <!ENTITY meson-ch6-du "16 MB">
 <!ENTITY meson-ch6-sbu "0.1 SBU">
@@ -513,7 +513,7 @@
 <!ENTITY ninja-ch6-sbu "0.2 SBU">
 
 <!ENTITY openssl-version "1.1.0g">
-<!ENTITY openssl-size "5.1 MB">
+<!ENTITY openssl-size "5,279 KB">
 <!ENTITY openssl-url "https://openssl.org/source/openssl-&openssl-version;.tar.gz">
 <!ENTITY openssl-md5 "ba5f1b8b835b88cadbce9b35ed9531a6">
 <!ENTITY openssl-home "https://www.openssl.org/">
@@ -609,14 +609,14 @@
 <!ENTITY sysklogd-ch6-du "0.7 MB">
 <!ENTITY sysklogd-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY systemd-version  "237">
-<!ENTITY systemd-size     "6,716 KB">
+<!ENTITY systemd-version  "238">
+<!ENTITY systemd-size     "6,792 KB">
 <!ENTITY systemd-url      "https://github.com/systemd/systemd/archive/v&systemd-version;/systemd-&systemd-version;.tar.gz">
-<!ENTITY systemd-md5      "5a835ddc2a2ae9ef523a5a11674a6713">
+<!ENTITY systemd-md5      "76db8004647283b779234364cd637d3c">
 <!ENTITY systemd-home     "http://www.freedesktop.org/wiki/Software/systemd/">
-<!ENTITY systemd-man-size "336 KB">
+<!ENTITY systemd-man-size "337 KB">
 <!ENTITY systemd-man-url  "http://anduin.linuxfromscratch.org/LFS/systemd-man-pages-&systemd-version;.tar.xz">
-<!ENTITY systemd-man-md5  "8b1b53cff433d99288ce17be775bc44c">
+<!ENTITY systemd-man-md5  "2e3f795bc0818e161c03b8cae9c99e80">
 <!ENTITY systemd-ch6-du   "297 MB">
 <!ENTITY systemd-ch6-sbu  "1.1 SBU">
 
@@ -670,10 +670,10 @@
 <!ENTITY udev-lfs-home    " ">
 
 <!ENTITY util-linux-minor "2.31">
-<!ENTITY util-linux-version "2.31.1">
-<!ENTITY util-linux-size "4,412 KB">
+<!ENTITY util-linux-version "2.32">
+<!ENTITY util-linux-size "4,444 KB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v&util-linux-minor;/util-linux-&util-linux-version;.tar.xz">
-<!ENTITY util-linux-md5 "7733b583dcb51518944d42aa62ef19ea">
+<!ENTITY util-linux-md5 "e0d8a25853f88cd15ff557e5d8cb4ea7">
 <!ENTITY util-linux-home "http://freecode.com/projects/util-linux">
 <!ENTITY util-linux-ch5-du "131 MB">
 <!ENTITY util-linux-ch5-sbu "0.9 SBU">

Modified: trunk/BOOK/prologue/why.xml
==============================================================================
--- trunk/BOOK/prologue/why.xml	Sat Mar 17 08:19:34 2018	(r11386)
+++ trunk/BOOK/prologue/why.xml	Fri Mar 23 19:08:49 2018	(r11387)
@@ -436,6 +436,14 @@
       </listitem>
 
       <listitem>
+        <para>Openssl</para>
+
+        <para>This package provides management tools and libraries relating to
+        cryptography. These are useful for providing cryptographic functions to
+        other packages, including the Linux kernel.</para>
+      </listitem>
+
+      <listitem>
         <para>Patch</para>
 
         <para>This package contains a program for modifying or creating files by


More information about the lfs-book mailing list